corda / net.corda.node.services.persistence / DBTransactionStorage

# DBTransactionStorage

`class DBTransactionStorage : TransactionStorage`

### Constructors

<init> | `DBTransactionStorage()`

### Properties

transactions | `val transactions: Iterable<SignedTransaction>`
updates | `val updates: Observable<SignedTransaction>` Get a synchronous Observable of updates. When observations are pushed to the Observer, the vault will already incorporate the update.
updatesPublisher | `val updatesPublisher: SerializedSubject<SignedTransaction, SignedTransaction>`

### Functions

addTransaction | `fun addTransaction(transaction: SignedTransaction): Boolean` Add a new transaction to the store. If the store already has a transaction with the same id it will be overwritten.
getTransaction | `fun getTransaction(id: SecureHash): SignedTransaction?` Return the transaction with the given id, or null if no such transaction exists.
track | `fun track(): Pair<List<SignedTransaction>, Observable<SignedTransaction>>` Returns all currently stored transactions and further fresh ones.